/* Scrutari - Copyright (c) 2016 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package fr.exemole.sctserver.servlets.admin.htmlpages.utils;

import fr.exemole.sctserver.servlets.admin.htmlpages.AdminHtmlPage;
import java.net.URL;
import net.mapeadores.util.attr.Attribute;
import net.mapeadores.util.attr.AttributeHolder;
import net.mapeadores.util.html.HA;
import net.mapeadores.util.text.Label;
import net.mapeadores.util.text.LabelHolder;


/**
 *
 * @author Vincent Calame
 */
public final class MetadataPrint {

    private MetadataPrint() {

    }

    public static void printLabelHolder(AdminHtmlPage page, String name, LabelHolder labelHolder) {
        int labelCount = labelHolder.getLabelCount();
        if (labelCount == 0) {
            return;
        }
        page.startP();
        page.startCode();
        page.append("[");
        page.append(name);
        page.append("]");
        page.endCode();
        page.endP();
        page.startUl();
        for (int i = 0; i < labelCount; i++) {
            Label label = labelHolder.getLabelByIndex(i);
            page.startLi();
            page.append(label.getLang().toString());
            page.append(" = ");
            page.escape(label.getLabelString());
            page.endLi();
        }
        page.endUl();
    }

    public static void printUrl(AdminHtmlPage page, String name, URL url) {
        if (url == null) {
            return;
        }
        page.startP();
        page.startCode();
        page.append(name);
        page.append(" = ");
        page.startA(HA.href(url.toString()));
        page.escape(url.toString());
        page.endA();
        page.endCode();
        page.endP();
    }

    public static void printAttributeHolder(AdminHtmlPage page, AttributeHolder attributeHolder) {
        int count = attributeHolder.getAttributeCount();
        for (int i = 0; i < count; i++) {
            Attribute attribute = attributeHolder.getAttributeByIndex(i);
            page.startP();
            page.startCode();
            page.append(attribute.getAttributeKey().toString());
            page.append(" = ");
            int valueCount = attribute.getValueCount();
            for (int j = 0; j < valueCount; j++) {
                if (j > 0) {
                    page.append(" ; ");
                }
                page.escape(attribute.getValue(j));
            }
            page.endCode();
            page.endP();
        }
    }

}
