/* Scrutari - Copyright (c) 2009-2016 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package fr.exemole.sctserver.servlets.webapp.htmlpages;

import fr.exemole.sctserver.servlets.ScrutariWebapp;
import fr.exemole.sctserver.tools.EngineUtils;
import java.io.IOException;
import javax.servlet.http.HttpServletResponse;
import net.mapeadores.util.html.HA;
import net.mapeadores.util.html.HTMLAttributes;
import net.mapeadores.util.html.PageHtmlPrinter;
import net.mapeadores.util.localisation.Lang;
import net.mapeadores.util.servlets.ResponseHandler;


/**
 *
 * @author Vincent Calame
 */
public abstract class WebappHtmlPage extends PageHtmlPrinter implements ResponseHandler {

    protected ScrutariWebapp scrutariWebapp;
    protected Lang langUi;

    public WebappHtmlPage() {
    }

    protected void init(ScrutariWebapp scrutariWebapp, Lang langUi) {
        this.scrutariWebapp = scrutariWebapp;
        this.langUi = langUi;
        addMessageLocalisation(EngineUtils.getMessageLocalisation(scrutariWebapp, langUi));
    }

    @Override
    public long getLastModified() {
        return ResponseHandler.LASTMODIFIED_NOCACHE;
    }

    protected void initResponse(HttpServletResponse response) throws IOException {
        response.setContentType("text/html;charset=UTF-8");
        initPrinter(response.getWriter());

    }

    public void start() {
        setIconPng("icon.png");
        addCssUrl("webapp.css");
        setTitle("Scrutari");
        start(langUi);
        HTMLAttributes divAttr = HA.id("");
        startDiv(divAttr.id("mainDiv"));
        startDiv(divAttr.id("logoArea"));
        appendImg(HA.src("logo.png"));
        endDiv();
        startDiv(divAttr.id("bodyArea"));
    }

    @Override
    public void end() {
        endDiv();
        endDiv();
        super.end();
    }

}
