/* ScrutariLib_DB - Copyright (c) 2012-2014 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package net.scrutari.db.api;

import net.mapeadores.util.localisation.Lang;
import net.mapeadores.util.text.collation.map.CollatedKeyMap;
import net.scrutari.lexie.FicheLexification;
import net.scrutari.lexie.LexieOccurrencesList;
import net.scrutari.lexie.MotcleLexification;
import net.scrutari.lexie.ScrutariLexieUnitList;


/**
 *
 * @author Vincent Calame
 */
public interface LexieAccess {

    public int getLexieCount();

    public CollatedKeyMap<Long> getLexieIdMapByLang(Lang lang);

    public LexieOccurrencesList getLexieOccurrencesList(long lexieId, int subsetCode);

    public ScrutariLexieUnitList getScrutariLexieUnitList(Lang lang);

    public FicheLexification getFicheLexification(int codefiche);

    public MotcleLexification getMotcleLexification(int codemotcle);

    public void close();

}
