/* ScrutariLib_SearchEngine - Copyright (c) 2013-2016 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package net.scrutari.searchengine.tools.operands.filters;

import net.mapeadores.util.localisation.LocalisationUtils;
import net.mapeadores.util.logging.MessageHandler;
import net.scrutari.db.api.DataAccess;
import net.scrutari.db.api.URITreeProvider;
import net.scrutari.searchengine.api.operands.OperandMessageKeys;
import net.scrutari.searchengine.api.result.FicheSearchResultHolder;


/**
 *
 * @author Vincent Calame
 */
public class OperandConverterParameters {

    private DataAccess dataAccess;
    private FicheSearchResultHolder ficheSearchResultHolder;
    private MessageHandler messageHandler;
    private URITreeProvider uriTreeProvider;

    public OperandConverterParameters() {
    }

    public DataAccess getDataAccess() {
        return dataAccess;
    }

    public void setDataAccess(DataAccess dataAccess) {
        this.dataAccess = dataAccess;
    }

    public FicheSearchResultHolder getFicheSearchResultHolder() {
        return ficheSearchResultHolder;
    }

    public void setFicheSearchResultHolder(FicheSearchResultHolder ficheSearchResultHolder) {
        this.ficheSearchResultHolder = ficheSearchResultHolder;
    }

    public MessageHandler getMessageHandler() {
        return messageHandler;
    }

    public void setMessageHandler(MessageHandler messageHandler) {
        this.messageHandler = messageHandler;
    }

    public URITreeProvider getUriTreeProvider() {
        return uriTreeProvider;
    }

    public void setUriTreeProvider(URITreeProvider uriTreeProvider) {
        this.uriTreeProvider = uriTreeProvider;
    }

    void addError(String key, Object value) {
        messageHandler.addMessage(OperandMessageKeys.ERROR_CATEGORY, LocalisationUtils.toMessage(key, value));
    }

}
