/* ScrutariLib_SearchEngine - Copyright (c) 2013 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package net.scrutari.searchengine.tools.result;

import net.scrutari.searchengine.api.result.SupermotcleSearchResult;
import net.scrutari.searchengine.api.result.SupermotcleSearchResultInfo;


/**
 *
 * @author Vincent Calame
 */
public class SupermotcleSearchResultBuilder {

    public SupermotcleSearchResultBuilder() {
    }

    public static SupermotcleSearchResult toSupermotcleSearchResult(SupermotcleSearchResultInfo[] array) {
        return new InternalSupermotcleSearchResult(array);
    }


    private static class InternalSupermotcleSearchResult implements SupermotcleSearchResult {

        private SupermotcleSearchResultInfo[] array;

        private InternalSupermotcleSearchResult(SupermotcleSearchResultInfo[] array) {
            this.array = array;
        }

        public int getSupermotcleSearchResultInfoCount() {
            return array.length;
        }

        public SupermotcleSearchResultInfo getSupermotcleSearchResultInfo(int i) {
            return array[i];
        }

    }

}
