/* SctServer - Copyright (c) 2012-2016 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package fr.exemole.sctserver.tools;

import fr.exemole.sctserver.api.log.SctLogConstants;
import net.mapeadores.util.localisation.LocalisationUtils;
import net.mapeadores.util.logging.MessageHandler;


/**
 *
 * @author Vincent Calame
 */
public final class ErrorUtils {

    private ErrorUtils() {
    }


    public static void moreErrors(MessageHandler handler, int number) {
        handler.addMessage("MORE", LocalisationUtils.toMessage("_ error.list.moreerrors", number));
    }

    public static void warning(MessageHandler handler, String messageKey, String... values) {
        handler.addMessage(SctLogConstants.WARNING_CATEGORY, LocalisationUtils.toMessage(messageKey, values));
    }

    public static void severe(MessageHandler handler, String messageKey, String... values) {
        handler.addMessage(SctLogConstants.SEVERE_CATEGORY, LocalisationUtils.toMessage(messageKey, values));
    }

    public static void critical(MessageHandler handler, String messageKey) {
        handler.addMessage(SctLogConstants.CRITICAL_CATEGORY, LocalisationUtils.toMessage(messageKey, null));
    }

    public static void critical(MessageHandler handler, String messageKey, String... values) {
        handler.addMessage(SctLogConstants.CRITICAL_CATEGORY, LocalisationUtils.toMessage(messageKey, values));
    }

    public static void xml(MessageHandler handler, String messageKey, String... values) {
        handler.addMessage(SctLogConstants.MALFORMED_XML_CATEGORY, LocalisationUtils.toMessage(messageKey, values));
    }

}
