/* UtilLib - Copyright (c) 2011-2012 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package net.mapeadores.util.html;

import java.io.IOException;
import net.mapeadores.util.text.gabarit.GabaritResolver;
import net.mapeadores.util.text.gabarit.GabaritUtils;


/**
 *
 * @author Vincent Calame
 */
public class GabaritHtmlProducer implements HtmlProducer {

    private String gabaritString;
    private GabaritResolver gabaritResolver;

    public GabaritHtmlProducer() {
    }

    public GabaritHtmlProducer(String gabaritString, GabaritResolver gabaritResolver) {
        init(gabaritString, gabaritResolver);
    }

    public void init(String gabaritString, GabaritResolver gabaritResolver) {
        this.gabaritString = gabaritString;
        this.gabaritResolver = gabaritResolver;
    }

    public void writeHtml(Appendable appendable) throws IOException {
        GabaritUtils.resolve(gabaritString, gabaritResolver, appendable);
    }

}
