/* UtilLib - Copyright (c) 2014 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package net.mapeadores.util.localisation;

import java.util.ArrayList;
import java.util.List;


/**
 *
 * @author Vincent Calame
 */
public class AppendableMessageList implements MessageList {

    private final List<Message> list = new ArrayList<Message>();

    public AppendableMessageList() {
    }

    @Override
    public int getMessageCount() {
        return list.size();
    }

    @Override
    public Message getMessage(int i) {
        return list.get(i);
    }

    public void addMessage(String messageKey, Object messageValue) {
        list.add(LocalisationUtils.toMessage(messageKey, messageValue));
    }

    public void addMessage(Message message) {
        list.add(message);
    }

}
